Bug 678692 - Review Request: drupal6-theme-ninesixty - 960 Grid System (960.gs) theme for Drupal 6
Review Request: drupal6-theme-ninesixty - 960 Grid System (960.gs) theme for ...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Nalley
Fedora Extras Quality Assurance
:
Depends On:
Blocks: InsightReviews
  Show dependency treegraph
 
Reported: 2011-02-18 16:44 EST by Paul W. Frields
Modified: 2011-03-10 12:23 EST (History)
4 users (show)

See Also:
Fixed In Version: drupal6-theme-ninesixty-1.0-3.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-03-10 12:23:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
david: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Paul W. Frields 2011-02-18 16:44:23 EST
Spec URL: http://pfrields.fedorapeople.org/packages/SPECS/drupal6-theme-ninesixty.spec
SRPM URL: http://pfrields.fedorapeople.org/packages/SRPMS/drupal6-theme-ninesixty-1.0-1.fc14.src.rpm
Description: This theme is based on the 960 Grid System by Nathan Smith. NineSixty is a base theme with all the files provided by the 960 Grid System. From the sketch sheets to all the styles from the framework are included. There are a few modifications so it better fits into Drupal. All the details are inside the README.txt file.
Comment 1 Paul W. Frields 2011-02-18 16:53:11 EST
$ rpmlint rpmbuild/SPECS/drupal6-theme-ninesixty.spec rpmbuild/SRPMS/drupal6-theme-ninesixty-1.0-1.fc14.src.rpm rpmbuild/RPMS/noarch/drupal6-theme-ninesixty-1.0-1.fc14.noarch.rpm 
2 packages and 1 specfiles checked; 0 errors, 0 warnings.
Comment 2 David Nalley 2011-02-20 12:43:06 EST
Hi Paul: 

OK: rpmlint must be run on the source rpm and all binary rpms the build produces. The output should be posted in the review.[1]
OK: The package must be named according to the Package Naming Guidelines .
OK: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption. [2] .
MUST: The package must meet the Packaging Guidelines .
OK: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines .
FIX: The License field in the package spec file must match the actual license. [3]
In README.txt (and the css source files) there is acknowledgement that some portions of the package are GPL (really GPL+) and MIT licensed. 
http://fedoraproject.org/wiki/Packaging/LicensingGuidelines#Multiple_Licensing_Scenarios   <-- see the link for more details, but I think that means that license field should read GPLv2 and GPL+ or MIT with a comment denoting the delineation. 
OK: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.[4]
OK: The spec file must be written in American English. [5]
OK: The spec file for the package MUST be legible. [6]
OK: The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use md5sum for this task. If no upstream URL can be specified for this package, please see the Source URL Guidelines for how to deal with this.
[ke4qqq@L1012001 SOURCES]$ md5sum ninesixty-6.x-1.0.tar.gz*
064b869256c0fa8b1826830ed433d7d8  ninesixty-6.x-1.0.tar.gz
064b869256c0fa8b1826830ed433d7d8  ninesixty-6.x-1.0.tar.gz.1

OK: The package MUST successfully compile and build into binary rpms on at least one primary architecture. [7]
NA: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch. Each architecture listed in ExcludeArch MUST have a bug filed in bugzilla, describing the reason that the package does not compile/build/work on that architecture. The bug number MUST be placed in a comment, next to the corresponding ExcludeArch line. [8]
OK: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional. Apply common sense.
NA: The spec file MUST handle locales properly. This is done by using the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.[9]
NA: Every binary RPM package (or subpackage) which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun. [10]
OK: Packages must NOT bundle copies of system libraries.[11]
NA: If the package is designed to be relocatable, the packager must state this fact in the request for review, along with the rationalization for relocation of that specific package. Without this, use of Prefix: /usr is considered a blocker. [12]
OK: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory. [13]
OK: A Fedora package must not list a file more than once in the spec file's %files listings. (Notable exception: license texts in specific situations)[14]
: Permissions on files must be set properly. Executables should be set with executable permissions, for example. Every %files section must include a %defattr(...) line. [15]
OK: Each package must consistently use macros. [16]
OK: The package must contain code, or permissable content. [17]
NA: Large documentation files must go in a -doc subpackage. (The definition of large is left up to the packager's best judgement, but is not restricted to size. Large can refer to either size or quantity). [18]
OK: If a package includes something as %doc, it must not affect the runtime of the application. To summarize: If it is in %doc, the program must run properly if it is not present. [18]
NA: Header files must be in a -devel package. [19]
NA: Static libraries must be in a -static package. [20]
NA: If a package contains library files with a suffix (e.g. libfoo.so.1.1), then library files that end in .so (without suffix) must go in a -devel package. [19]
NA: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name}%{?_isa} = %{version}-%{release} [21]
NA: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.[20]
NA: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section. If you feel that your packaged GUI application does not need a .desktop file, you must put a comment in the spec file with your explanation. [22]
OK: Packages must not own files or directories already owned by other packages. The rule of thumb here is that the first package to be installed should own the files or directories that other packages may rely upon. This means, for example, that no package in Fedora should ever share ownership with any of the files or directories owned by the filesystem or man package. If you feel that you have a good reason to own a file or directory that another package owns, then please present that at package review time. [23]
OK: All filenames in rpm packages must be valid UTF-8. [24]


I see one thing that I think needs fixing, the license line (the drupal stuff is GPLv2, but the CSS for the grid stuff is GPL+ or MIT, I am sure that's an easy fix to be taken care of before you commit to SCM. 

Thanks!!

APPROVED.
Comment 3 Paul W. Frields 2011-02-21 14:27:35 EST
Thanks David -- yes, it's actually supposed to be "GPLv2+ and GPL+ or MIT" since the CSS is GPL/MIT dual licensed, but the theme is GPLv2+.  I've corrected and will upload the fixed version.
Comment 4 Paul W. Frields 2011-02-21 14:30:16 EST
New Package SCM Request
=======================
Package Name: drupal6-theme-ninesixty
Short Description: Ninesixty theme for Drupal 6
Owners: pfrields
Branches: el5 el6 f15
InitialCC: asrob
Comment 5 Jason Tibbitts 2011-02-21 15:33:49 EST
Git done (by process-git-requests).
Comment 6 Fedora Update System 2011-02-21 17:25:49 EST
drupal6-theme-ninesixty-1.0-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/drupal6-theme-ninesixty-1.0-2.el6
Comment 7 Fedora Update System 2011-02-22 20:31:59 EST
drupal6-theme-ninesixty-1.0-2.el6 has been pushed to the Fedora EPEL 6 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update drupal6-theme-ninesixty'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/drupal6-theme-ninesixty-1.0-2.el6
Comment 8 Fedora Update System 2011-02-23 10:26:33 EST
drupal6-theme-ninesixty-1.0-3.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/drupal6-theme-ninesixty-1.0-3.el6
Comment 9 Fedora Update System 2011-03-10 12:23:36 EST
drupal6-theme-ninesixty-1.0-3.el6 has been pushed to the Fedora EPEL 6 stable repository.

Note You need to log in before you can comment on or make changes to this bug.